<h2 id="naslov" *ngIf="!racunId" class="display-4">Novi {{naslovRacuna}}</h2>
<h2 id="naslov" *ngIf="tipRacuna == 'pr' && racunId" class="display-4">{{naslovRacuna}} br. {{currentPredracun.broj}}
</h2>
<h2 id="naslov" *ngIf="tipRacuna == 'kr' && racunId" class="display-4">{{naslovRacuna}} br.
    {{currentPredracun.racun.broj}}</h2>

<hr style="width: 40%;background-color: black;">
<br>

<form #formDynamicData="ngForm" [formGroup]="klijentForm">
    <div class="row">
        <div class="col-md-12">

            <h2>Klijent: <strong *ngIf="racunId">{{ selectedKlijent.naziv }}</strong></h2>

            <div class="row">

                <div class="col-md-12 form-group">
                    <select *ngIf="!racunId" class="form-control" (change)="selectKlijent(selKlijent.value);"
                        [(ngModel)]="selectedKlijentNaziv" formControlName="klijenti" id="klijenti" #selKlijent>
                        <option [value]="undefined" disabled selected>--Izaberite klijenta--</option>
                        <option *ngFor="let klijent of klijenti; let i = index;" [value]="i">
                            {{klijent.naziv}}
                        </option>
                    </select>

                </div>


            </div>

            <div class="row border">
                <div class="border col-3">Ulica i broj:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.adresa }}</ng-template>
                </div>
                <div class="border col-3">Poštanski broj:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.postanski_broj }}</ng-template>
                </div>
                <div class="border col-3">Grad:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.grad }}</ng-template>
                </div>
                <div class="border col-3">Matični broj:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.maticni_broj }}</ng-template>
                </div>
                <div class="border col-3">PIB:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.pib }}</ng-template>
                </div>
                <div class="border col-3">Kontakt telefon:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.telefon }}</ng-template>
                </div>
                <div class="border col-3">Kontakt email:</div>
                <div class="border col-9">
                    <ng-template [ngIf]="selectedKlijent">{{ selectedKlijent.email }}</ng-template>
                </div>
            </div>
        </div>

    </div>

    <h2>Specifikacija</h2>

    <div class="row d-none d-lg-flex justify-content-center">
        <div class="col-lg-2">
            <p>NAZIV</p>
        </div>
        <div class="col-lg-1">
            <p>JM</p>
        </div>
        <div class="col-lg-1">
            <p>CENA/JM</p>
        </div>
        <div class="col-lg-1">
            <p>KOL.</p>
        </div>
        <div class="col-lg-1">
            <p>POPUST</p>
        </div>
        <div class="col-lg-1">
            <p>OSNOVICA</p>
        </div>
        <div class="col-lg-1">
            <p>STOPA PDV</p>
        </div>
        <div class="col-lg-1">
            <p>PDV</p>
        </div>
        <div class="col-lg-1">
            <p>UKUPNO</p>
        </div>
        <div class="col-lg-1">
            &nbsp;
        </div>
        <div class="col-lg-1">
            &nbsp;
        </div>
    </div>
    <div formArrayName="usluge">
        <div *ngFor="let item of usluge.controls; let pointIndex=index" class="row justify-content-center"
            formGroupName="{{pointIndex}}">
            <div class="col-lg-2">
                <p class="d-lg-none">NAZIV: </p>
                <select *ngIf="!izdat" class="form-control" (change)="getIndex(sel.value, pointIndex);"
                    [(ngModel)]="selectedUsluga" formControlName="{{item}}" id="nazivi" #sel>
                    <option [value]="undefined" disabled selected>--Izaberite uslugu--</option>
                    <option *ngFor="let usluga of sveUsluge; let i = index;" [value]="i">
                        {{usluga.naziv}}
                    </option>
                </select>
                <input type="text" *ngIf="izdat" formControlName="naziv" [readonly]="true">
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">JM: </p>
                <input type="text" formControlName="jm" placeholder="Jedinica mere" [readonly]="true" />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">CENA/JM: </p>
                <input type="text" formControlName="cenaJm" placeholder="Cena/JM" [readonly]="true" />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">KOLIČINA: </p>
                <input *ngIf="!izdat" type="number"
                    (change)="updateUkupno(pointIndex);updateOsnovica(pointIndex);updatePdv(pointIndex)"
                    (input)="getKolicina(selKolicina.value, pointIndex);" formControlName="kolicina"
                    placeholder="Kolicina" #selKolicina />
                <input *ngIf="izdat" type="text" (input)="getKolicina(selKolicina.value, pointIndex);"
                    formControlName="kolicina" placeholder="Kolicina" [readonly]="true" #selKolicina />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">POPUST: </p>
                <input *ngIf="!izdat" type="number"
                    (change)="updateUkupno(pointIndex);updateOsnovica(pointIndex);updatePdv(pointIndex)"
                    (input)="getPopust(selPopust.value, pointIndex);" formControlName="popust" placeholder="Popust"
                    #selPopust />
                <input *ngIf="izdat" type="text" (input)="getPopust(selPopust.value, pointIndex);"
                    formControlName="popust" placeholder="Popust" [readonly]="true" #selPopust />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">OSNOVICA: </p>
                <input type="text" formControlName="osnovica" placeholder="Osnovica" [readonly]="true" />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">STOPA PDV: </p>
                <input type="text" formControlName="stopaPdv" placeholder="Stopa PDV" [readonly]="true" />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none">PDV: </p>
                <input type="text" formControlName="pdv" placeholder="PDV" [readonly]="true" />
            </div>
            <div class="col-lg-1">
                <p class="d-lg-none font-weight-bold">UKUPNO: </p>
                <input type="text" formControlName="ukupno" placeholder="Ukupno" [readonly]="true" #selUkupno />
            </div>

            <div class="col-lg-1">
                <button *ngIf="!izdat" type="button" class="btn btn-secondary btn-sm"
                    (click)="deleteUsluga(pointIndex)">Obriši</button>
            </div>
            <div class="col-lg-1">
                &nbsp;
            </div>

        </div>
    </div>

    <div *ngIf="!izdat" class="row">
        <div class="col-lg-12">
            <button type="button" class="btn btn-primary" (click)="addUsluge()">Dodaj uslugu</button>
        </div>
    </div>

    <div class="row pt-4">
        <div class="col-6 p-4 border rounded">
            <h2>Ostalo</h2>
            <div class="row">
                <div class="col-md-12" *ngIf="tipRacuna == 'pr'">
                    <!-- TODO: Ovo su samo podrazumevane vrednosti, trebalo bi da korisnik može da ih menja -->
                    <!-- <p>Datum izdavanja: {{racun.datum_izdavanja}}</p> -->
                    <label>
                        Datum izdavanja
                        <input type="text" formControlName="prDatumIzdavanja" [readonly]="true"
                            placeholder="Datum izdavanja predračuna" />
                    </label>
                    <!-- <p>Mesto izdavanja: {{currentNalog.grad}}</p> -->
                    <label>
                        Mesto izdavanja
                        <input type="text" formControlName="prMestoIzdavanja"
                            placeholder="Mesto izdavanja predračuna" />
                    </label>
                    <!-- <p>Rok plaćanja: 30 dana</p> -->
                    <label>
                        Rok plaćanja:
                        <input type="text" formControlName="prRokPlacanja" placeholder="Npr. 30 dana" />
                    </label>
                    <!-- <p>Napomena: blabla</p> -->
                    <label>
                        Napomena:
                        <textarea type="text" formControlName="prNapomena" cols="30" rows="10"
                            class="rounded"></textarea>
                    </label>
                </div>
                <div class="col-md-12" *ngIf="tipRacuna == 'kr'">
                    <!-- TODO: Ovo su samo podrazumevane vrednosti, trebalo bi da korisnik može da ih menja -->
                    <label>
                        Datum izdavanja
                        <input type="text" formControlName="krDatumIzdavanja" [readonly]="true"
                            placeholder="Datum izdavanja računa" />
                    </label>
                    <label>
                        Mesto izdavanja
                        <input type="text" formControlName="krMestoIzdavanja" placeholder="Mesto izdavanja računa" />
                    </label>
                    <label>
                        Datum prometa
                        <input type="text" formControlName="krDatumPrometa" [readonly]="true"
                            placeholder="Datum prometa" />
                    </label>
                    <label>
                        Mesto prometa
                        <input type="text" formControlName="krMestoPrometa" placeholder="Mesto prometa" />
                    </label>
                    <!-- <p>Rok plaćanja: 30 dana</p> -->
                    <label>
                        Rok plaćanja:
                        <input type="text" formControlName="krRokPlacanja" placeholder="Npr. 30 dana" />
                    </label>
                    <!-- <p>Napomena: blabla</p> -->
                    <label>
                        Napomena:
                        <textarea type="text" formControlName="krNapomena" cols="30" rows="10"
                            class="rounded"></textarea>
                    </label>
                </div>
            </div>
        </div>
        <div class="col-6 p-4">
            <div class="row ukupnoSection justify-content-center">
                <div class="col-md-8 p-4 bg-white rounded">
                    <h2 class="text-center">Ukupno</h2>
                    <label>
                        UKUPNA OSNOVICA:
                        <input type="text" formControlName="ukOsnovica" [readonly]="true" />
                    </label>
                    <label>
                        UKUPNO PDV:
                        <input type="text" formControlName="ukPdv" [readonly]="true" />
                    </label>
                    <label style="font-weight: bold;">
                        UKUPNO ZA UPLATU:
                        <input type="text" formControlName="ukZaUplatu" [readonly]="true" />
                    </label>
                </div>
            </div>
        </div>
    </div>

</form>


<div class="row">
    <div class="col-md-12 justify-content-center">
        <p>Ovaj {{naslovRacuna}} <span *ngIf="!izdat">ni</span>je izdat!</p>
        <!-- Samo kada se prikazuje stranica za dodavanje novog predracuna -->
        <button type="button" *ngIf="(tipRacuna == 'pr') && !racunId" id="orange-btn" class="mr-2"
            title="Sačuvaj radnu verziju predračuna" (click)="sacuvajPredracun(formDynamicData.value)">Sačuvaj
            predračun</button>
        <!-- Kada se prikazuju stranice za dodavanje novog predračuna i pregledanje postojećeg -->
        <button type="button" *ngIf="(tipRacuna == 'pr') && !izdat" id="orange-btn" class="mr-2"
            title="Sačuvaj konačnu verziju predračuna" (click)="izdajPredracun(formDynamicData.value)">Izdaj
            predračun</button>
        <!-- Samo kada se prikazuje stranica sa izdatim predracunom i odatle izdajemo racun - /racuni/pr/:id -->
        <button type="button" *ngIf="(tipRacuna == 'pr') && racunId && !hasIzdatRacun" id="orange-btn" class="mr-2"
            title="Izdaj račun" (click)="izdajRacunIzPredracuna(formDynamicData.value)">Izdaj
            račun</button>
        <!-- Samo kada se prikazuje stranica za direktno izdavanje novog racuna - /racuni/kr/dodaj -->
        <button type="button" *ngIf="((tipRacuna == 'kr') && !racunId)" id="orange-btn" class="mr-2" title="Izdaj račun"
            (click)="izdajRacun(formDynamicData.value)">Izdaj
            račun</button>
        <!-- Samo kada se prikazuje stranica izdatog računa -->
        <button type="button" *ngIf="(tipRacuna == 'kr') && racunId" id="orange-btn"
            title="Označi da je izvršena uplata po računu" (click)="racunPlacen()">Plaćen</button>
    </div>
</div>